For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
预约演示登录免费开始
  • 入门
    • 概览
    • 工作原理
    • 快速开始
    • 项目结构
    • Customer showcase
    • 变更日志
  • 配置
    • 概览
    • 站点级设置
    • 页面级设置
  • 编写内容
    • Markdown 基础
    • Markdown 中的富媒体
    • Fern 编辑器
    • 可复用代码片段
  • AI 功能
    • 概览
    • Fern Writer
    • AI 生成的示例
    • Markdown 访问
      • 概览
      • Agent 指令
      • 智能体指令
      • 分析与集成
    • MCP 服务器
    • API 目录发现
      • 概览
        • 简介
          • POSTIndex Website
          • GETGet Website Status
          • GETGet Website By Id
          • GETGet Websites
          • POSTReindex Website
          • DELDelete Website
          • DELDelete All Websites
  • Public API
    • GETJWT from Fern API key
    • GETAlgolia search credentials
    • GETCurrent user information
  • Fern Writer API
    • GETGet Fern Writer Install Link
Checking status...
SOC2Soc 2 Type II
© 2026 Fern • Birch Solutions, Inc., a Postman company

Documentation

SDKsDocsAsk FernCLI Reference

API Definitions

OpenAPIAsyncAPIOpenRPCgRPC

Resources

BlogSupportPricing

Company

Brand KitPrivacy PolicyTerms of Service
LogoLogo
预约演示登录免费开始
AI 功能Ask FernAPI referenceWebsite

Index Website

||以 Markdown 格式查看|
POST
/sources/website/:domain/index
POST
/sources/website/:domain/index
$curl -X POST https://fai.buildwithfern.com/sources/website/domain/index \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "base_url": "https://docs.buildwithfern.com"
>}'
1{
2 "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
3 "base_url": "https://docs.buildwithfern.com"
4}

Start crawling and indexing a website. Returns a job_id to track the crawling progress.

此页面是否有帮助?
上一个

Get Slack Install Link

下一个

Get Website Status

身份验证

AuthorizationBearer

Bearer 身份验证,格式为 Bearer <token>,其中 token 是您的身份验证令牌。

路径参数

domainstring必需

请求

This endpoint expects an object.
base_urlstring必需

The base URL to start indexing from (e.g., ‘https://docs.example.com’)

domain_filterstring or null可选

Domain to filter crawling (e.g., ‘docs.example.com’). Defaults to base_url domain.

path_filterstring or null可选

Path prefix to restrict crawling (e.g., ‘/docs’). Only URLs starting with this will be crawled.

url_patternstring or null可选

Regex pattern to filter URLs (e.g., https://example\.com/(docs|api)/.*).

chunk_sizeinteger or null可选默认为 1000
Size of text chunks for splitting documents
chunk_overlapinteger or null可选默认为 200
Overlap between consecutive chunks
min_content_lengthinteger or null可选默认为 100
Minimum content length to index a page
max_pagesinteger or null可选
Maximum number of pages to crawl. None means unlimited.
delaydouble or null可选默认为 1
Delay in seconds between requests
versionstring or null可选
Version to tag all indexed pages with
productstring or null可选
Product to tag all indexed pages with
authedboolean or null可选

Whether indexed pages should be auth-gated

响应

Successful Response
job_idstring
ID to track the indexing job status
base_urlstring
The base URL being indexed

错误

422
Unprocessable Entity Error